#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Oct 16 14:07:47 2018

@author: lessig
"""

import numpy as np
from scipy import misc 

uffizi = misc.imread('./uffizi.png')
def lightprobe( theta, phi) :

    v = theta / np.pi
    u = phi / (2.0*np.pi)

    # compute index
    vidx = np.int( np.floor(v * (uffizi.shape[0]-1)))
    uidx = np.int( np.floor(u * (uffizi.shape[1]-1)))

    # compute intenisty value
    rgb = uffizi[vidx,uidx]
    y = 0.26627*rgb[0] + 0.6780*rgb[1] +0.0593*rgb[2]

    return y
