#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Nov 20 16:32:32 2018

@author: lessig
"""

import numpy as np
import lightprobe as lp
import matplotlib.pyplot as plt
import mcMeasurement
import testsignals
import midpointS2

####################################################################
results = [];
resultsmc = [];
ns = [];

for i in range( 1, 14) :
#    ival = midpointS2( costheta, 32*i, 64*i, np.pi / 2.)
    ivalmid = midpointS2.midpointMeasurement( testsignals.costheta, 32*i, 64*i)
    results.append( ivalmid)
    ivalmc = mcMeasurement.mcMeasurement( testsignals.costheta, 32*i * 64*i)
    resultsmc.append( ivalmc)
    ns.append( 32*i * 64*i)


plt.figure( figsize=(10, 10));
plt.plot( ns, np.abs( np.abs(np.array(results) )))
plt.plot( ns, np.abs( np.abs(np.array(resultsmc) )))
#plt.plot( ns, 5 * np.power( np.array(ns), -0.5))
plt.show()